# FortyOne - Jekyll Theme

[![Gem Version](https://badge.fury.io/rb/fortyone-jekyll-theme.svg)](https://badge.fury.io/rb/fortyone-jekyll-theme)

To use this theme:

Add to your `Gemfile`:

``` 
gem 'fortyone-jekyll-theme'

```

and to `_config.yml`:

```
theme: fortyone-jekyll-theme
```

`pages` branch is a working example

## [FortyOne Demo](https://agustibr.gitlab.io/fortyone-jekyll-theme/)

+ layouts:
  + `landing` list items from a collection
  + `alltags` listing all tags of the site, with related posts
  + `categories` listing all categories of the site, with related posts
  + `allposts` listing posts in a chronological order
  + `collection` listing all contents of a given collection
  + `post` with pagination to navigate through posts
  + `page` generic template
  + `home` with tiles from pages,or posts, or collections. (setup in _config.yml or in the page front matter)
  + `default` the base template of all layouts
+ navs:
  + `nav_menu`, use `nav-menu: true` in the front matter
  + `nav_footer`, use `nav-footer: true` in the front matter
+ [Customize the theme's Sass](https://help.github.com/articles/customizing-css-and-html-in-your-jekyll-theme/#customizing-your-jekyll-themes-css)
 with `sass` variables easily overriden, just set them before `@import "{{ site.theme }}";` [_sass/libs/_vars.scss](https://gitlab.com/agustibr/fortyone-jekyll-theme/blob/master/_sass/libs/_vars.scss)    
 
# Credits

```
## Original README from Forty - Jekyll Theme

A Jekyll version of the "Forty" theme by [HTML5 UP](https://html5up.net/).  

![Forty Theme](assets/images/forty.jpg "Forty Theme")

## How to Use

For those unfamiliar with how Jekyll works, check out [jekyllrb.com](https://jekyllrb.com/) for all the details, 
or read up on just the basics of [front matter](https://jekyllrb.com/docs/frontmatter/), [writing posts](https://jekyllrb.com/docs/posts/), 
and [creating pages](https://jekyllrb.com/docs/pages/).

- **GitLab**: Simply fork this repository and start editing the `_config.yml` file!  
- **GitHub**: Fork this reposity and create a branch named `gh-pages`, then start editing the `_config.yml` file! The `.gitlab-ci.yml` file is only needed for GitLab Pages, so feel free to delete this if you are using GitHub instead.

## Added Features

* **[Formspree.io](https://formspree.io/) contact form integration** - just add your email to the `_config.yml` and it works!
* Use `_config.yml` to **set whether the homepage tiles should pull pages or posts**, as well as how many to display.
* Add your **social profiles** easily in `_config.yml`. Only social profiles buttons you enter in `config.yml` show up on the site footer!
* Set **featured images** in front matter.

---

## Original README from HTML5 UP:

Forty by HTML5 UP
html5up.net | @ajlkn
Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)


This is Forty, my latest and greatest addition to HTML5 UP and, per its incredibly
creative name, my 40th (woohoo)! It's built around a grid of "image tiles" that are
set up to smoothly transition to secondary landing pages (for which a separate page
template is provided), and includes a number of neat effects (check out the menu!),
extra features, and all the usual stuff you'd expect. Hope you dig it!

Demo images* courtesy of Unsplash, a radtastic collection of CC0 (public domain) images
you can use for pretty much whatever.

(* = not included)

AJ
aj@lkn.io | @ajlkn


Credits:

	Demo Images:
		Unsplash (unsplash.com)

	Icons:
		Font Awesome (fortawesome.github.com/Font-Awesome)

	Other:
		jQuery (jquery.com)
		html5shiv.js (@afarkas @jdalton @jon_neal @rem)
		background-size polyfill (github.com/louisremi)
		Misc. Sass functions (@HugoGiraudel)
		Respond.js (j.mp/respondjs)
		Skel (skel.io)
```

Repository [Jekyll logo](https://github.com/jekyll/brand) icon licensed under a [Creative Commons Attribution 4.0 International License](http://choosealicense.com/licenses/cc-by-4.0/).
